function::user_ulong_error
Prev | Chapter 25. String and data retrieving functions Tapset | Next

## Name

function::user_ulong_error — Retrieves a unsigned long value stored in user space

## Synopsis

        user_ulong_error:long(addr:long)

## Arguments

`addr`

  the user space address to retrieve the unsigned long from

## Description

Returns the unsigned long value from a given user space address. If the user space data is not accessible, an error will occur. Note that the size of the unsigned long depends on the architecture of the current user space task (for those architectures that support both 64/32 bit compat tasks).

Prev | Up | Next
function::user_ulong | Home | function::user_ulong_warn